unit Boite4;

interface

uses Forms, StdCtrls, Classes, Controls, Buttons;

type
  TFormTrustees = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Lecture: TCheckBox;
    Ecriture: TCheckBox;
    Ouverture: TCheckBox;
    Creation: TCheckBox;
    Effacement: TCheckBox;
    Proprietaire: TCheckBox;
    Recherche: TCheckBox;
    Modification: TCheckBox;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private-dclarations }
  public
    { Public-dclarations }
    Securite: Byte;
  end;

var
  FormTrustees: TFormTrustees;

implementation

{$R *.DFM}

procedure TFormTrustees.BitBtn1Click(Sender: TObject);
begin
    Securite := 0;
    if Lecture.Checked then Securite := Securite or $01;
    if Ecriture.Checked then Securite := Securite or $02;
    if Ouverture.Checked then Securite := Securite or $04;
    if Creation.Checked then Securite := Securite or $08;
    if Effacement.Checked then Securite := Securite or $10;
    if Proprietaire.Checked then Securite := Securite or $20;
    if Recherche.Checked then Securite := Securite or $40;
    if Modification.Checked then Securite := Securite or $80;
end;

procedure TFormTrustees.FormShow(Sender: TObject);
begin
    Lecture.Checked := ((Securite and $01) <> 0);
    Ecriture.Checked := ((Securite and $02) <> 0);
    Ouverture.Checked := ((Securite and $04) <> 0);
    Creation.Checked := ((Securite and $08) <> 0);
    Effacement.Checked := ((Securite and $10) <> 0);
    Proprietaire.Checked := ((Securite and $20) <> 0);
    Recherche.Checked := ((Securite and $40) <> 0);
    Modification.Checked := ((Securite and $80) <> 0);
end;

end.
