
{*******************************************************}
{                                                       }
{   Constante du Novell 4.0 Pour Borland DELPHI         }
{                                                       }
{   Convertion du C au PASCAL                           }
{   par Couery Tanguy le 26/11/95                       }
{                                                       }
{   Pour le projet Novell Netware de 3me anne         }
{   (BRETIN David,COUERY Tanguy,GUILHEM Eric)           }
{                                                       }
{   Le fichier est separ en deux pour                  }
{   eviter un probleme lors de la compilation < 64ko    }
{                                                       }
{*******************************************************}

unit NwConst2;

interface

{File IPXERROR.H:}
const IPX_TIMEOUT =	$9001;
const IPX_NO_ROUTE =	$9002;
const IPX_SOCKET_IN_USE =	$9003;
const IPX_SOCKET_NOT_OPEN =	$9004;
const LAN_ERR_OUT_OF_RESOURCE =	$8001;
const LAN_ERR_BAD_PARAM =	$8002;
const LAN_ERR_NO_MORE_ITEMS =	$8003;
const LAN_ERR_NOT_FOUND =	$8004;
const LAN_ERR_FAILED =	$8005;
const LAN_ERR_RECV_OVERFLOW =	$8006;
const LAN_ERR_CANCELLED =	$8007;
const LAN_ERR_INVALID_FUNC =	$8008;
const LAN_ERR_DUP_ENTRY =	$8009;

{File NCB.H:}
const NCBNAMSZ =	16;
const NCBCALL =	$10;
const NCBLISTEN =	$11;
const NCBHANGUP =	$12;
const NCBSEND =	$14;
const NCBRECV =	$15;
const NCBRECVANY =	$16;
const NCBCHAINSEND =	$17;
const NCBDGSEND =	$20;
const NCBDGRECV =	$21;
const NCBDGSENDBC =	$22;
const NCBDGRECVBC =	$23;
const NCBADDNAME =	$30;
const NCBDELNAME =	$31;
const NCBRESET =	$32;
const NCBASTAT =	$33;
const NCBSSTAT =	$34;
const NCBCANCEL =	$35;
const NCBADDGRNAME =	$36;
const NCBUNLINK =	$70;
const ASYNCH =	$80;
const NRC_GOODRET =	$00;
const NRC_BUFLEN =	$01;
const NRC_BFULL =	$02;
const NRC_ILLCMD =	$03;
const NRC_CMDTMO =	$05;
const NRC_INCOMP =	$06;
const NRC_BADDR =	$07;
const NRC_SNUMOUT =	$08;
const NRC_NORES =	$09;
const NRC_SCLOSED =	$0a;
const NRC_CMDCAN =	$0b;
const NRC_DMAFAIL =	$0c;
const NRC_DUPNAME =	$0d;
const NRC_NAMTFUL =	$0e;
const NRC_ACTSES =	$0f;
const NRC_INVALID =	$10;
const NRC_LOCTFUL =	$11;
const NRC_REMTFUL =	$12;
const NRC_ILLNN =	$13;
const NRC_NOCALL =	$14;
const NRC_NOWILD =	$15;
const NRC_INUSE =	$16;
const NRC_NAMERR =	$17;
const NRC_SABORT =	$18;
const NRC_NAMCONF =	$19;
const NRC_IFBUSY =	$21;
const NRC_TOOMANY =	$22;
const NRC_BRIDGE =	$23;
const NRC_CANOCCR =	$24;
const NRC_RESNAME =	$25;
const NRC_CANCEL =	$26;
const NRC_MULT =	$33;
const NRC_SYSTEM =	$40;
const NRC_ROM =	$41;
const NRC_RAM =	$42;
const NRC_DLF =	$43;
const NRC_ALF =	$44;
const NRC_IFAIL =	$45;
const NRC_PENDING =	$ff;
const MAX_DG_SIZE =	512;

{File NETBIOS.H:}
const NB_TYPE_NCB =	1;
const NB_TYPE_MCB =	2;
const NB_LAN_MANAGED =	$0001;
const NB_LAN_LOOPBACK =	$0002;
const NB_REGULAR =	1 ;
const NB_PRIVILEGED =	2;
const NB_EXCLUSIVE =	3 ;

{File NETCONS.H:}
const DEVLEN =	8;
const NETBIOS_NAME_LEN =	16;

{File NETERR.H:}
const NERR_Success =	0;
const NERR_BASE =	2100;
const NERR_NetNotStarted =	(NERR_BASE+2);
const NERR_UnknownServer =	(NERR_BASE+3);
const NERR_UnknownDevDir =	(NERR_BASE+16);
const NERR_BufTooSmall =	(NERR_BASE+23);
const NERR_LanmanIniError =	(NERR_BASE+31);
const NERR_InternalError =	(NERR_BASE+40);
const NERR_ServiceInstalled =	(NERR_BASE+82);
const NERR_ServiceNotInstalled =	(NERR_BASE+84);
const NERR_NetNameNotFound =	(NERR_BASE+210);

{File NPCALLS.H:}
const GET_NEXT_WITHOUT_GET_FIRST =	$B001;
const INVALID_SEARCH_HANDLE =	$B002;
const NPDAEMON_NOT_LOADED =	$B003;
const END_OF_SERVERS =	$FFFF;

{File NTYPES.H:}

{File NWACCT.H:}

{File NWAFP.H:}
const AFP_GET_ATTRIBUTES =	$0001;
const AFP_GET_PARENT_ID =	$0002;
const AFP_GET_CREATE_DATE =	$0004;
const AFP_GET_ACCESS_DATE =	$0008;
const AFP_GET_MODIFY_DATETIME =	$0010;
const AFP_GET_BACKUP_DATETIME =	$0020;
const AFP_GET_FINDER_INFO =	$0040;
const AFP_GET_LONG_NAME =	$0080;
const AFP_GET_ENTRY_ID =	$0100;
const AFP_GET_DATA_LEN =	$0200;
const AFP_GET_RESOURCE_LEN =	$0400;
const AFP_GET_NUM_OFFSPRING =	$0800;
const AFP_GET_OWNER_ID =	$1000;
const AFP_GET_SHORT_NAME =	$2000;
const AFP_GET_ACCESS_RIGHTS =	$4000;
const AFP_GET_PRO_DOS_INFO =	$8000;
const AFP_GET_ALL =	$ffff;
const AFP_SET_ATTRIBUTES =	$0001;
const AFP_SET_CREATE_DATE =	$0004;
const AFP_SET_ACCESS_DATE =	$0008;
const AFP_SET_MODIFY_DATETIME =	$0010;
const AFP_SET_BACKUP_DATETIME =	$0020;
const AFP_SET_FINDER_INFO =	$0040;
const AFP_SET_PRO_DOS_INFO =	$8000;
const AFP_SA_NORMAL =	$0000;
const AFP_SA_HIDDEN =	$0100;
const AFP_SA_SYSTEM =	$0200;
const AFP_SA_SUBDIR =	$0400;
const AFP_SA_FILES =	$0800;
const AFP_SA_ALL =	$0F00;

{File NWALIAS.H:}

{File NWAUDIT.H:}
const NW_AUDIT_NUMBER_EVENT_BITS =	512;
const NW_AUDIT_FILE_CODE =	0;
const NW_AUDIT_HISTORY_FILE_CODE =	1;
const NW_AUDIT_OLD_FILE_CODE =	2;
const DiscardAuditRcdsOnErrorFlag =	$01;
const ConcurrentVolAuditorAccess =	$02;
const DualLevelPasswordsActive =	$04;
const BroadcastWarningsToAllUsers =	$08;
const LevelTwoPasswordSet =	$10;
const MModifyNameBit =	$0001;
const MFileAttributesBit =	$0002;
const MCreateDateBit =	$0004;
const MCreateTimeBit =	$0008;
const MOwnerIDBit =	$0010;
const MLastArchivedDateBit =	$0020;
const MLastArchivedTimeBit =	$0040;
const MLastArchivedIDBit =	$0080;
const MLastUpdatedDateBit =	$0100;
const MLastUpdatedTimeBit =	$0200;
const MLastUpdatedIDBit =	$0400;
const MLastAccessedDateBit =	$0800;
const MInheritedRightsMaskBit =	$1000;
const MMaximumSpaceBit =	$2000;

{File NWBINDRY.H:}
const OT_WILD =	$FFFF;
const OT_UNKNOWN =	$0000;
const OT_USER =	$0100;
const OT_USER_GROUP =	$0200;
const OT_PRINT_QUEUE =	$0300;
const OT_FILE_SERVER =	$0400;
const OT_JOB_SERVER =	$0500;
const OT_GATEWAY =	$0600;
const OT_PRINT_SERVER =	$0700;
const OT_ARCHIVE_QUEUE =	$0800;
const OT_ARCHIVE_SERVER =	$0900;
const OT_JOB_QUEUE =	$0A00;
const OT_ADMINISTRATION =	$0B00;
const OT_NAS_SNA_GATEWAY =	$2100;
const OT_REMOTE_BRIDGE_SERVER =	$2600;
const OT_TCPIP_GATEWAY =	$2700;
const OT_TIME_SYNCHRONIZATION_SERVER =	$2D00;
const OT_ARCHIVE_SERVER_DYNAMIC_SAP =	$2E00;
const OT_ADVERTISING_PRINT_SERVER =	$4700;
const OT_BTRIEVE_VAP =	$5000;
const OT_PRINT_QUEUE_USER =	$5300;
const BF_STATIC =	$00;
const BF_DYNAMIC =	$01;
const BF_ITEM =	$00;
const BF_SET =	$02;
const BS_ANY_READ =	$00 ;
const BS_LOGGED_READ =	$01 ;
const BS_OBJECT_READ =	$02 ;
const BS_SUPER_READ =	$03 ;
const BS_BINDERY_READ =	$04 ;
const BS_ANY_WRITE =	$00 ;
const BS_LOGGED_WRITE =	$10 ;
const BS_OBJECT_WRITE =	$20 ;
const BS_SUPER_WRITE =	$30 ;
const BS_BINDERY_WRITE =	$40 ;

{File NWCALDEF.H:}
const FA_NORMAL =	$00;
const FA_READ_ONLY =	$01;
const FA_HIDDEN =	$02;
const FA_SYSTEM =	$04;
const FA_EXECUTE_ONLY =	$08;
const FA_DIRECTORY =	$10;
const FA_NEEDS_ARCHIVED =	$20;
const FA_SHAREABLE =	$80;
const FA_TRANSACTIONAL =	$10;
const FA_INDEXED =	$20;
const FA_READ_AUDIT =	$40;
const FA_WRITE_AUDIT =	$80;
const A_NORMAL =	$00000000;
const A_READ_ONLY =	$00000001;
const A_HIDDEN =	$00000002;
const A_SYSTEM =	$00000004;
const A_EXECUTE_ONLY =	$00000008;
const A_DIRECTORY =	$00000010;
const A_NEEDS_ARCHIVED =	$00000020;
const A_SHAREABLE =	$00000080;
const A_DONT_SUBALLOCATE =	$00000800;
const A_TRANSACTIONAL =	$00001000;
const A_INDEXED =	$00002000;
const A_READ_AUDIT =	$00004000;
const A_WRITE_AUDIT =	$00008000;
const A_IMMEDIATE_PURGE =	$00010000;
const A_RENAME_INHIBIT =	$00020000;
const A_DELETE_INHIBIT =	$00040000;
const A_COPY_INHIBIT =	$00080000;
const A_FILE_MIGRATED =	$00400000;
const A_DONT_MIGRATE =	$00800000;
const A_IMMEDIATE_COMPRESS =	$02000000;
const A_FILE_COMPRESSED =	$04000000;
const A_DONT_COMPRESS =	$08000000;
const A_CANT_COMPRESS =	$20000000;
const AR_READ =	$0001;
const AR_WRITE =	$0002;
const AR_READ_ONLY =	$0001;
const AR_WRITE_ONLY =	$0002;
const AR_DENY_READ =	$0004;
const AR_DENY_WRITE =	$0008;
const AR_COMPATIBILITY =	$0010;
const AR_WRITE_THROUGH =	$0040;
const AR_OPEN_COMPRESSED =	$0100;
const SA_NORMAL =	$0000;
const SA_HIDDEN =	$0002;
const SA_SYSTEM =	$0004;
const SA_SUBDIR_ONLY =	$0010;
const SA_SUBDIR_FILES =	$8000;
const SA_ALL =	$8006;
const MAX_VOL_LEN =	17 ;
const USE_NW_WILD_MATCH =	0;
const USE_DOS_WILD_MATCH =	1;
const GLOBAL =	0;
const PRIVATE =	1;
const MY_SESSION =	2;
const ALL_SESSIONS =	3;

{File NWCALLS.H:}

{File NWCONFIG.H:}
const T_OPTIONAL =	$80;
const T_NUMBER =	$01;
const T_INDEX =	$02;
const T_STRING =	$03;
const T_HEX_STRING =	$04;
const T_HEX_NUMBER =	$05;
const T_LONG_NUMBER =	$06;
const T_LONG_HEX =	$07;
const T_SET_1 =	$10;
const T_SET_2 =	$11;
const T_SET_3 =	$12;
const T_SET_4 =	$13;
const T_SET_5 =	$14;
const T_SET_6 =	$15;
const T_SET_7 =	$16;
const T_SET_8 =	$17;
const T_SET_9 =	$18;
const T_SET_10 =	$19;
const T_SET_11 =	$1A;
const T_SET_12 =	$1B;
const T_SET_13 =	$1C;
const T_SET_14 =	$1D;
const T_SET_15 =	$1E;
const T_SET_16 =	$1F;
const MAX_PARAMETERS =	8;
const MAX_SECTION_NAME_SIZE =	32;
const MAX_VALUE_SIZE =	80;
const MAX_SET_ELEMENTS =	20;

{File WCONNEC.H:}
const C_SNAMESIZE =	48;
const CONNECTION_AVAILABLE =	$0001;
const CONNECTION_PRIVATE =	$0002 ;
const CONNECTION_LOGGED_IN =	$0004;
const CONNECTION_LICENSED =	$0004;
const CONNECTION_BROADCAST_AVAILABLE =	$0008;
const CONNECTION_ABORTED =	$0010;
const CONNECTION_REFUSE_GEN_BROADCAST =	$0020;
const CONNECTION_BROADCASTS_DISABLED =	$0040;
const CONNECTION_PRIMARY =	$0080;
const CONNECTION_NDS =	$0100;
const CONNECTION_PNW =	$4000;
const CONNECTION_AUTHENTICATED =	$8000 ;
const NW_CONN_TYPE =	1 ;
const NW_CONN_BIND =	$0031;
const NW_CONN_NDS =	$0032;
const NW_CONN_PNW =	$0033;
const NW_AUTHENTICATED =	3 ;
const NW_PBURST =	4 ;
const NW_VERSION =	8 ;
const NW_HARD_COUNT =	9 ;
const NW_CONN_NUM =	13 ;
const NW_TRAN_TYPE =	15 ;
const NW_TRAN_IPX =	$0021;
const NW_TRAN_TCP =	$0022;
const NW_SESSION_ID =	$8000 ;
const NW_SERVER_ADDRESS =	$8001 ;
const NW_SERVER_NAME =	$8002 ;

{File NWDEL.H:}

{File NWDENTRY.H:}
const TR_NONE =	$0000;
const TR_READ =	$0001;
const TR_WRITE =	$0002;
const TR_OPEN =	$0004;
const TR_DIRECTORY =	$0004;
const TR_CREATE =	$0008;
const TR_DELETE =	$0010;
const TR_ERASE =	$0010;
const TR_OWNERSHIP =	$0020;
const TR_ACCESS_CTRL =	$0020;
const TR_FILE_SCAN =	$0040;
const TR_SEARCH =	$0040;
const TR_FILE_ACCESS =	$0040;
const TR_MODIFY =	$0080;
const TR_ALL =	$01FB;
const TR_SUPERVISOR =	$0100;
const TR_NORMAL =	$00FB;
{Ces constantes exeistent deja !
const MModifyNameBit =	$0001;
const MFileAttributesBit =	$0002;
const MCreateDateBit =	$0004;
const MCreateTimeBit =	$0008;
const MOwnerIDBit =	$0010;
const MLastArchivedDateBit =	$0020;
const MLastArchivedTimeBit =	$0040;
const MLastArchivedIDBit =	$0080;
const MLastUpdatedDateBit =	$0100;
const MLastUpdatedTimeBit =	$0200;
const MLastUpdatedIDBit =	$0400;
const MLastAccessedDateBit =	$0800;
const MInheritedRightsMaskBit =	$1000;
const MMaximumSpaceBit =	$2000;}

{File NWDIAG.H:}
const MAX_NETWORKS =	120;
const MAX_SERVERS =	150;
const MAX_NODES =	120;
const MAX_EXCLUSIONS =	80;
const MAX_LOCAL_NETWORKS =	4;
const MAX_ROUTES =	47;
const MAX_IPX_PACKET_SIZE =	576;
const MAX_SERVER_NAME_LENGTH =	16;
const WORKGROUP_NAME_LENGTH =	16;
const OEM_NAME_LENGTH =	16;
const IPX_SPX_COMPONENT =	0;
const BRIDGE_DRIVER_COMPONENT =	1;
const SHELL_DRIVER_COMPONENT =	2;
const SHELL_COMPONENT =	3;
const VAP_SHELL_COMPONENT =	4;
const BRIDGE_COMPONENT =	5;
const FILE_SERVER_COMPONENT =	6;
const NONDEDICATED_IPX_SPX_COMPONENT =	7;
const IPX_ONLY =	8;
const GNMA_DOS_COMPONENT =	9;
const GNMA_OS2_COMPONENT =	10;
const NWLITE_SERVER_COMPONENT =	11;
const NWLITE_CACHE_COMPONENT =	12;
const MAX_COMPONENTS =	13;
const NO_ERRORS =	$00;
const COULD_NOT_GET_LOCAL_TARGET =	$FF;
const COULD_NOT_OPEN_SOCKET =	$FE;
const COULD_NOT_BEGIN_CONNECTION =	$FD;
const COULD_NOT_ESTABLISH_CONNECTION =	$FC;
const COULD_NOT_TERMINATE_CONNECTION =	$FB;
const BAD_CONNECTION_ID =	$FA;
const COULD_NOT_SEND_REQUEST =	$F9;
const RECEIVED_REPLY_IN_ERROR =	$F8;
const NETWORK_NOT_FOUND =	$EF;
const NO_RESPONSE_FROM_DESTINATION =	$EE;
const RESPONSE_COMPLETION_CODE_BAD =	$ED;
const LIST_SIZE_TOO_SMALL =	$EC;
const INTERNAL_LIST_ERROR =	$EB;
const NODE_NOT_FOUND_OR_NO_RESPONSE =	$EA;
const MEMORY_ALLOCATION_ERROR =	$DF;
const VERSION_DOES_NOT_SUPPORT =	$DE;
const RESPONSE_ECBS =	6;

{File NWDIRECT.H:}
const TA_NONE =	$00;
const TA_READ =	$01;
const TA_WRITE =	$02;
const TA_OPEN =	$04;
const TA_CREATE =	$08;
const TA_DELETE =	$10;
const TA_OWNERSHIP =	$20;
const TA_SEARCH =	$40;
const TA_MODIFY =	$80;
const TA_ALL =	$FB;
const TF_NORMAL =	$0000;
const TF_READ_ONLY =	$0001;
const TF_HIDDEN =	$0002;
const TF_SYSTEM =	$0004;
const TF_EXECUTE_ONLY =	$0008;
const TF_DIRECTORY =	$0010;
const TF_NEEDS_ARCHIVED =	$0020;
const TF_EXECUTE_CONFIRM =	$0040;
const TF_SHAREABLE =	$0080;
const TF_LOW_SEARCH_BIT =	$0100;
const TF_MID_SEARCH_BIT =	$0200;
const TF_HI_SEARCH_BIT =	$0400;
const TF_PRIVATE =	$0800;
const TF_TRANSACTIONAL =	$1000;
const TF_INDEXED =	$2000;
const TF_READ_AUDIT =	$4000;
const TF_WRITE_AUDIT =	$8000;
const TF_PURGE =	$10000;
const TF_RENAME_INHIBIT =	$20000;
const TF_DELETE_INHIBIT =	$40000;
const TF_COPY_INHIBIT =	$80000;
const TF_AUDITING_BIT =	$00100000;
const TD_HIDDEN =	TF_HIDDEN;
const TD_SYSTEM =	TF_SYSTEM;
const TD_PURGE =	TF_PURGE;
const TD_PRIVATE =	TF_PRIVATE;
const TD_VISIBLE =	TF_PRIVATE;
const TD_RENAME_INHIBIT =	TF_RENAME_INHIBIT;
const TD_DELETE_INHIBIT =	TF_DELETE_INHIBIT;

{File NWDPATH.H:}
const NW_UNMAPPED_DRIVE =	$0000;
const NW_FREE_DRIVE =	$0000;
const NW_CDROM_DRIVE =	$0400;
const NW_LOCAL_FREE_DRIVE =	$0800;
const NW_LOCAL_DRIVE =	$1000;
const NW_NETWORK_DRIVE =	$2000;
const NW_LITE_DRIVE =	$4000;
const NW_PNW_DRIVE =	$4000;
const NW_NETWARE_DRIVE =	$8000;
const NW_INVALID_DRIVE =	15;
const NW_FORMAT_NETWARE =	0;
const NW_FORMAT_SERVER_VOLUME =	1;
const NW_FORMAT_DRIVE =	2;
const NW_FORMAT_UNC =	3;

{File NWDSACL.H:}

{File NWDSASA.H:}
const SESSION_KEY_SIZE =	16;
const GENERATE_CERTIFICATION_KP_F =	1;

{File NWDSATTR.H:}
const TIME_BITMAP_LEN =	42;
const NUM_POSTAL_ADDRESS_ELEMENTS =	6;

{File NWDSAUD.H:}

{File NWDSDC.H:}
const DCK_FLAGS =	1;
const DCK_CONFIDENCE =	2;
const DCK_NAME_CONTEXT =	3;
const DCK_TRANSPORT_TYPE =	4;
const DCK_REFERRAL_SCOPE =	5;
const DCK_LAST_CONNECTION =	8;
const DCV_DEREF_ALIASES =	$00000001;
const DCV_XLATE_STRINGS =	$00000002;
const DCV_TYPELESS_NAMES =	$00000004;
const DCV_ASYNC_MODE =	$00000008;
const DCV_CANONICALIZE_NAMES =	$00000010;
const DCV_DEREF_BASE_CLASS =	$00000040;
const DCV_LOW_CONF =	0;
const DCV_MED_CONF =	1;
const DCV_HIGH_CONF =	2;
const MAX_MESSAGE_LEN =	(63*1024);
const DEFAULT_MESSAGE_LEN =	(4*1024);
const DCV_ANY_SCOPE =	0;
const DCV_COUNTRY_SCOPE =	1;
const DCV_ORGANIZATION_SCOPE =	2;
const DCV_LOCAL_SCOPE =	3;

{File NWDSDEFS.H:}
const DS_NCP_VERB =	104;
const DS_NCP_PING =	1;
const DS_NCP_FRAGMENT =	2;
const DS_NCP_FRAGMENT_CLOSE =	3;
const DS_NCP_BINDERY_CONTEXT =	4;
const DS_NCP_MONITOR_CONNECTION =	5;
const DS_NCP_GET_DS_STATISTICS =	6;
const DS_NCP_RESET_DS_COUNTERS =	7;
const DS_NCP_RELOAD =	8;
const DS_NCP_AUDITING =	200 ;
const DSV_UNUSED_0 =	0 ;
const DSV_RESOLVE_NAME =	1 ;
const DSV_READ_ENTRY_INFO =	2 ;
const DSV_READ =	3 ;
const DSV_COMPARE =	4 ;
const DSV_LIST =	5 ;
const DSV_SEARCH =	6 ;
const DSV_ADD_ENTRY =	7 ;
const DSV_REMOVE_ENTRY =	8 ;
const DSV_MODIFY_ENTRY =	9 ;
const DSV_MODIFY_RDN =	10 ;
const DSV_DEFINE_ATTR =	11 ;
const DSV_READ_ATTR_DEF =	12 ;
const DSV_REMOVE_ATTR_DEF =	13 ;
const DSV_DEFINE_CLASS =	14 ;
const DSV_READ_CLASS_DEF =	15 ;
const DSV_MODIFY_CLASS_DEF =	16 ;
const DSV_REMOVE_CLASS_DEF =	17 ;
const DSV_LIST_CONTAINABLE_CLASSES =	18 ;
const DSV_GET_EFFECTIVE_RIGHTS =	19 ;
const DSV_ADD_PARTITION =	20 ;
const DSV_REMOVE_PARTITION =	21 ;
const DSV_LIST_PARTITIONS =	22 ;
const DSV_SPLIT_PARTITION =	23 ;
const DSV_JOIN_PARTITIONS =	24 ;
const DSV_ADD_REPLICA =	25 ;
const DSV_REMOVE_REPLICA =	26 ;
const DSV_OPEN_STREAM =	27 ;
const DSV_SEARCH_FILTER =	28 ;
const DSV_CHANGE_REPLICA_TYPE =	31 ;
const DSV_SYNC_PARTITION =	38 ;
const DSV_SYNC_SCHEMA =	39 ;
const DSV_READ_SYNTAXES =	40 ;
const DSV_GET_REPLICA_ROOT_ID =	41 ;
const DSV_BEGIN_MOVE_ENTRY =	42 ;
const DSV_FINISH_MOVE_ENTRY =	43 ;
const DSV_RELEASE_MOVED_ENTRY =	44 ;
const DSV_BACKUP_ENTRY =	45;
const DSV_RESTORE_ENTRY =	46;
const DSV_CLOSE_ITERATION =	50 ;
const DSV_GET_SERVER_ADDRESS =	53 ;
const DSV_SET_KEYS =	54 ;
const DSV_CHANGE_PASSWORD =	55 ;
const DSV_VERIFY_PASSWORD =	56 ;
const DSV_BEGIN_LOGIN =	57 ;
const DSV_FINISH_LOGIN =	58 ;
const DSV_BEGIN_AUTHENTICATION =	59 ;
const DSV_FINISH_AUTHENTICATION =	60 ;
const DSV_LOGOUT =	61 ;
const DSV_REPAIR_RING =	62 ;
const DSV_REPAIR_TIMESTAMPS =	63 ;
const DSV_DESIGNATE_NEW_MASTER =	69 ;
const DSV_CHECK_LOGIN_RESTRICTIONS =	72 ;
const DSV_ABORT_PARTITION_OPERATION =	76 ;
const DSV_READ_REFERENCES =	79;
const DSV_INSPECT_ENTRY =	80 ;
const MAX_RDN_CHARS =	128;
const MAX_DN_CHARS =	256;
const MAX_SCHEMA_NAME_CHARS =	32;
const MAX_TREE_NAME_CHARS =	32;
const MAX_SAP_NAME_CHARS =	47;
const MAX_RDN_BYTES =	(2*(MAX_RDN_CHARS + 1));
const MAX_DN_BYTES =	(2*(MAX_DN_CHARS + 1));
const MAX_SCHEMA_NAME_BYTES =	(2*(MAX_SCHEMA_NAME_CHARS + 1));
const MAX_ASN1_NAME =	32;
const MAX_VALUE =	(63 * 1024);
const MAX_MESSAGE =	$00010000;
const NO_MORE_ITERATIONS =	$ffffffff;
const DELIM_VALUE =	'=';
const DELIM_DV =	'+';
const DELIM_RDN =	'.';
const ESCAPE_CHAR =	'\';
const DS_ROOT_NAME =	'[Root]';
const DS_PUBLIC_NAME =	'[Public]';
const DS_MASK_NAME =	'[Inheritance Mask]';
const DS_CREATOR_NAME =	'[Creator]' ;
const DS_SELF_NAME =	'[Self]' ;
const DS_ALL_ATTRS_NAME =	'[All Attributes Rights]';
const DS_SMS_RIGHTS_NAME =	'[SMS Rights]';
const DS_ENTRY_RIGHTS_NAME =	'[Entry Rights]';
const IPX_ADDRESS_LEN =	12;
const DS_ALIAS_ENTRY =	$0001;
const DS_PARTITION_ROOT =	$0002;
const DS_CONTAINER_ENTRY =	$0004;
const DS_TYPES_REQUIRED =	$0010;
const DS_ADD_ATTRIBUTE =	$00 ;
const DS_REMOVE_ATTRIBUTE =	$01 ;
const DS_ADD_VALUE =	$02 ;
const DS_REMOVE_VALUE =	$03 ;
const DS_ADDITIONAL_VALUE =	$04 ;
const DS_OVERWRITE_VALUE =	$05;
const DS_CLEAR_ATTRIBUTE =	$06;
const DS_CLEAR_VALUE =	$07;
const DS_ATTRIBUTE_NAMES =	$00;
const DS_ATTRIBUTE_VALUES =	$01;
const DS_EFFECTIVE_PRIVILEGES =	$02;
const DS_VALUE_INFO =	$03;
const DS_ABBREVIATED_VALUE =	$04;
const DS_NAMING =	$0001;
const DS_BASECLASS =	$0002;
const DS_PRESENT =	$0004;
const DS_SINGLE_VALUED_ATTR =	$0001 ;
const DS_SIZED_ATTR =	$0002;
const DS_NONREMOVABLE_ATTR =	$0004;
const DS_READ_ONLY_ATTR =	$0008;
const DS_HIDDEN_ATTR =	$0010;
const DS_STRING_ATTR =	$0020;
const DS_SYNC_IMMEDIATE =	$0040;
const DS_PUBLIC_READ =	$0080;
const DS_SERVER_READ =	$0100;
const DS_WRITE_MANAGED =	$0200;
const DS_PER_REPLICA =	$0400;
const DS_ATTR_DEF_NAMES =	0;
const DS_ATTR_DEFS =	1;
const DS_CONTAINER_CLASS =	$01;
const DS_EFFECTIVE_CLASS =	$02;
const DS_NONREMOVABLE_CLASS =	$04;
const DS_AMBIGUOUS_NAMING =	$08;
const DS_AMBIGUOUS_CONTAINMENT =	$10;
const DS_CLASS_DEF_NAMES =	0;
const DS_CLASS_DEFS =	1;
const DS_EXPANDED_CLASS_DEFS =	2;
const DS_INFO_CLASS_DEFS =	3;
const DS_SEARCH_ENTRY =	0;
const DS_SEARCH_SUBORDINATES =	1;
const DS_SEARCH_SUBTREE =	2;
const DS_ALIAS_REFERRAL =	0;
const DS_PARTITION_REFERRAL =	1;
const DS_SEARCH_ITEM =	0;
const DS_SEARCH_OR =	1;
const DS_SEARCH_AND =	2;
const DS_SEARCH_NOT =	3;
const DS_SEARCH_EQUAL =	7;
const DS_SEARCH_GREATER_OR_EQUAL =	8;
const DS_SEARCH_LESS_OR_EQUAL =	9;
const DS_SEARCH_APPROX =	10;
const DS_SEARCH_PRESENT =	15;
const DS_SEARCH_RDN =	16;
const DS_SEARCH_BASE_CLASS =	17;
const DS_SEARCH_MODIFICATION_GE =	18;
const DS_SEARCH_VALUE_TIME_GE =	19;
const DS_SEARCH_REFERENCES =	20;
const DS_ENTRY_BROWSE =	$00000001;
const DS_ENTRY_ADD =	$00000002;
const DS_ENTRY_DELETE =	$00000004;
const DS_ENTRY_RENAME =	$00000008;
const DS_ENTRY_SUPERVISOR =	$00000010;
const DS_ENTRY_MASK =	(DS_ENTRY_BROWSE or DS_ENTRY_ADD or DS_ENTRY_DELETE or
                       DS_ENTRY_RENAME or DS_ENTRY_SUPERVISOR);
const DS_ATTR_COMPARE =	$00000001;
const DS_ATTR_READ =	$00000002;
const DS_ATTR_WRITE =	$00000004;
const DS_ATTR_SELF =	$00000008;
const DS_ATTR_SUPERVISOR =	$00000020;
const DS_ATTR_MASK =	(DS_ATTR_COMPARE or DS_ATTR_READ or DS_ATTR_WRITE or
                       DS_ATTR_SELF or DS_ATTR_SUPERVISOR);
const DS_READ_STREAM =	$00000001;
const DS_WRITE_STREAM =	$00000002;

{File NWDSDSA.H:}

{File NWDSERR.H:}
const ERR_INSUFFICIENT_MEMORY =	-150 ;
const ERR_REQUEST_UNKNOWN =	-251;
const ERR_OF_SOME_SORT =	-255 ;
const ERR_NOT_ENOUGH_MEMORY =	-301 ;
const ERR_BAD_KEY =	-302;
const ERR_BAD_CONTEXT =	-303 ;
const ERR_BUFFER_FULL =	-304 ;
const ERR_LIST_EMPTY =	-305 ;
const ERR_BAD_SYNTAX =	-306 ;
const ERR_BUFFER_EMPTY =	-307 ;
const ERR_BAD_VERB =	-308 ;
const ERR_EXPECTED_IDENTIFIER =	-309 ;
const ERR_EXPECTED_EQUALS =	-310 ;
const ERR_ATTR_TYPE_EXPECTED =	-311 ;
const ERR_ATTR_TYPE_NOT_EXPECTED =	-312 ;
const ERR_FILTER_TREE_EMPTY =	-313 ;
const ERR_INVALID_OBJECT_NAME =	-314 ;
const ERR_EXPECTED_RDN_DELIMITER =	-315 ;
const ERR_TOO_MANY_TOKENS =	-316 ;
const ERR_INCONSISTENT_MULTIAVA =	-317 ;
const ERR_COUNTRY_NAME_TOO_LONG =	-318 ;
const ERR_SYSTEM_ERROR =	-319 ;
const ERR_CANT_ADD_ROOT =	-320 ;
const ERR_UNABLE_TO_ATTACH =	-321 ;
const ERR_INVALID_HANDLE =	-322 ;
const ERR_BUFFER_ZERO_LENGTH =	-323 ;
const ERR_INVALID_REPLICA_TYPE =	-324 ;
const ERR_INVALID_ATTR_SYNTAX =	-325 ;
const ERR_INVALID_FILTER_SYNTAX =	-326 ;
const ERR_CONTEXT_CREATION =	-328 ;
const ERR_INVALID_UNION_TAG =	-329 ;
const ERR_INVALID_SERVER_RESPONSE =	-330 ;
const ERR_NULL_POINTER =	-331 ;
const ERR_NO_SERVER_FOUND =	-332 ;
const ERR_NO_CONNECTION =	-333 ;
const ERR_RDN_TOO_LONG =	-334 ;
const ERR_DUPLICATE_TYPE =	-335 ;
const ERR_DATA_STORE_FAILURE =	-336 ;
const ERR_NOT_LOGGED_IN =	-337 ;
const ERR_INVALID_PASSWORD_CHARS =	-338 ;
const ERR_FAILED_SERVER_AUTHENT =	-339 ;
const ERR_TRANSPORT =	-340 ;
const ERR_NO_SUCH_SYNTAX =	-341 ;
const ERR_INVALID_DS_NAME =	-342 ;
const ERR_ATTR_NAME_TOO_LONG =	-343 ;
const ERR_INVALID_TDS =	-344 ;
const ERR_INVALID_DS_VERSION =	-345 ;
const ERR_UNICODE_TRANSLATION =	-346 ;
const ERR_SCHEMA_NAME_TOO_LONG =	-347 ;
const ERR_UNICODE_FILE_NOT_FOUND =	-348 ;
const ERR_UNICODE_ALREADY_LOADED =	-349 ;
const ERR_NOT_CONTEXT_OWNER =	-350 ;
const ERR_ATTEMPT_TO_AUTHENTICATE_0 =	-351 ;
const ERR_NO_WRITABLE_REPLICAS =	-352 ;
const ERR_DN_TOO_LONG =	-353 ;
const ERR_RENAME_NOT_ALLOWED =	-354 ;
const ERR_NO_SUCH_ENTRY =	-601 ;
const ERR_NO_SUCH_VALUE =	-602 ;
const ERR_NO_SUCH_ATTRIBUTE =	-603 ;
const ERR_NO_SUCH_CLASS =	-604 ;
const ERR_NO_SUCH_PARTITION =	-605 ;
const ERR_ENTRY_ALREADY_EXISTS =	-606 ;
const ERR_NOT_EFFECTIVE_CLASS =	-607 ;
const ERR_ILLEGAL_ATTRIBUTE =	-608 ;
const ERR_MISSING_MANDATORY =	-609 ;
const ERR_ILLEGAL_DS_NAME =	-610 ;
const ERR_ILLEGAL_CONTAINMENT =	-611 ;
const ERR_CANT_HAVE_MULTIPLE_VALUES =	-612 ;
const ERR_SYNTAX_VIOLATION =	-613 ;
const ERR_DUPLICATE_VALUE =	-614 ;
const ERR_ATTRIBUTE_ALREADY_EXISTS =	-615 ;
const ERR_MAXIMUM_ENTRIES_EXIST =	-616 ;
const ERR_DATABASE_FORMAT =	-617 ;
const ERR_INCONSISTENT_DATABASE =	-618 ;
const ERR_INVALID_COMPARISON =	-619 ;
const ERR_COMPARISON_FAILED =	-620 ;
const ERR_TRANSACTIONS_DISABLED =	-621 ;
const ERR_INVALID_TRANSPORT =	-622 ;
const ERR_SYNTAX_INVALID_IN_NAME =	-623 ;
const ERR_REPLICA_ALREADY_EXISTS =	-624 ;
const ERR_TRANSPORT_FAILURE =	-625 ;
const ERR_ALL_REFERRALS_FAILED =	-626 ;
const ERR_CANT_REMOVE_NAMING_VALUE =	-627 ;
const ERR_OBJECT_CLASS_VIOLATION =	-628 ;
const ERR_ENTRY_IS_NOT_LEAF =	-629 ;
const ERR_DIFFERENT_TREE =	-630 ;
const ERR_ILLEGAL_REPLICA_TYPE =	-631 ;
const ERR_SYSTEM_FAILURE =	-632 ;
const ERR_INVALID_ENTRY_FOR_ROOT =	-633 ;
const ERR_NO_REFERRALS =	-634 ;
const ERR_REMOTE_FAILURE =	-635 ;
const ERR_UNREACHABLE_SERVER =	-636 ;
const ERR_PREVIOUS_MOVE_IN_PROGRESS =	-637 ;
const ERR_NO_CHARACTER_MAPPING =	-638 ;
const ERR_INCOMPLETE_AUTHENTICATION =	-639 ;
const ERR_INVALID_CERTIFICATE =	-640 ;
const ERR_INVALID_REQUEST =	-641 ;
const ERR_INVALID_ITERATION =	-642 ;
const ERR_SCHEMA_IS_NONREMOVABLE =	-643 ;
const ERR_SCHEMA_IS_IN_USE =	-644 ;
const ERR_CLASS_ALREADY_EXISTS =	-645 ;
const ERR_BAD_NAMING_ATTRIBUTES =	-646 ;
const ERR_NOT_ROOT_PARTITION =	-647 ;
const ERR_INSUFFICIENT_STACK =	-648 ;
const ERR_INSUFFICIENT_BUFFER =	-649 ;
const ERR_AMBIGUOUS_CONTAINMENT =	-650 ;
const ERR_AMBIGUOUS_NAMING =	-651 ;
const ERR_DUPLICATE_MANDATORY =	-652 ;
const ERR_DUPLICATE_OPTIONAL =	-653 ;
const ERR_PARTITION_BUSY =	-654 ;
const ERR_MULTIPLE_REPLICAS =	-655 ;
const ERR_CRUCIAL_REPLICA =	-656 ;
const ERR_SCHEMA_SYNC_IN_PROGRESS =	-657 ;
const ERR_SKULK_IN_PROGRESS =	-658 ;
const ERR_TIME_NOT_SYNCHRONIZED =	-659 ;
const ERR_RECORD_IN_USE =	-660 ;
const ERR_DS_VOLUME_NOT_MOUNTED =	-661 ;
const ERR_DS_VOLUME_IO_FAILURE =	-662 ;
const ERR_DS_LOCKED =	-663 ;
const ERR_OLD_EPOCH =	-664 ;
const ERR_NEW_EPOCH =	-665 ;
const ERR_INCOMPATIBLE_DS_VERSION =	-666 ;
const ERR_PARTITION_ROOT =	-667 ;
const ERR_ENTRY_NOT_CONTAINER =	-668 ;
const ERR_FAILED_AUTHENTICATION =	-669 ;
const ERR_INVALID_CONTEXT =	-670 ;
const ERR_NO_SUCH_PARENT =	-671 ;
const ERR_NO_ACCESS =	-672 ;
const ERR_REPLICA_NOT_ON =	-673 ;
const ERR_INVALID_NAME_SERVICE =	-674 ;
const ERR_INVALID_TASK =	-675 ;
const ERR_INVALID_CONN_HANDLE =	-676 ;
const ERR_INVALID_IDENTITY =	-677 ;
const ERR_DUPLICATE_ACL =	-678 ;
const ERR_PARTITION_ALREADY_EXISTS =	-679 ;
const ERR_TRANSPORT_MODIFIED =	-680 ;
const ERR_ALIAS_OF_AN_ALIAS =	-681 ;
const ERR_AUDITING_FAILED =	-682 ;
const ERR_INVALID_API_VERSION =	-683 ;
const ERR_SECURE_NCP_VIOLATION =	-684 ;
const ERR_MOVE_IN_PROGRESS =	-685 ;
const ERR_NOT_LEAF_PARTITION =	-686 ;
const ERR_CANNOT_ABORT =	-687 ;
const ERR_CACHE_OVERFLOW =	-688 ;
const ERR_INVALID_SUBORDINATE_COUNT =	-689 ;
const ERR_INVALID_RDN =	-690 ;
const ERR_MOD_TIME_NOT_CURRENT =	-691 ;
const ERR_INCORRECT_BASE_CLASS =	-692 ;
const ERR_MISSING_REFERENCE =	-693 ;
const ERR_LOST_ENTRY =	-694 ;
const ERR_AGENT_ALREADY_REGISTERED =	-695 ;
const ERR_DS_LOADER_BUSY =	-696 ;
const ERR_DS_CANNOT_RELOAD =	-697 ;
const ERR_REPLICA_IN_SKULK =	-698 ;
const ERR_FATAL =	-699 ;
const ERR_OBSOLETE_API =	-700 ;
const ERR_SYNCHRONIZATION_DISABLED =	-701 ;
const ERR_INVALID_PARAMETER =	-702 ;
const ERR_DUPLICATE_TEMPLATE =	-703 ;
const ERR_NO_MASTER_REPLICA =	-704 ;
const ERR_DUPLICATE_CONTAINMENT =	-705 ;
const DSERR_INSUFFICIENT_SPACE =	-001 ;
const DSERR_BUFFER_TOO_SMALL =	-119 ;
const DSERR_VOLUME_FLAG_NOT_SET =	-120 ;
const DSERR_NO_ITEMS_FOUND =	-121 ;
const DSERR_CONN_ALREADY_TEMPORARY =	-122 ;
const DSERR_CONN_ALREADY_LOGGED_IN =	-123 ;
const DSERR_CONN_NOT_AUTHENTICATED =	-124 ;
const DSERR_CONN_NOT_LOGGED_IN =	-125 ;
const DSERR_NCP_BOUNDARY_CHECK_FAILED =	-126 ;
const DSERR_LOCK_WAITING =	-127 ;
const DSERR_LOCK_FAIL =	-128 ;
const DSERR_OUT_OF_HANDLES =	-129 ;
const DSERR_NO_OPEN_PRIVILEGE =	-130 ;
const DSERR_HARD_IO_ERROR =	-131 ;
const DSERR_NO_CREATE_PRIVILEGE =	-132 ;
const DSERR_NO_CREATE_DELETE_PRIV =	-133 ;
const DSERR_R_O_CREATE_FILE =	-134 ;
const DSERR_CREATE_FILE_INVALID_NAME =	-135 ;
const DSERR_INVALID_FILE_HANDLE =	-136 ;
const DSERR_NO_SEARCH_PRIVILEGE =	-137 ;
const DSERR_NO_DELETE_PRIVILEGE =	-138 ;
const DSERR_NO_RENAME_PRIVILEGE =	-139 ;
const DSERR_NO_SET_PRIVILEGE =	-140 ;
const DSERR_SOME_FILES_IN_USE =	-141 ;
const DSERR_ALL_FILES_IN_USE =	-142 ;
const DSERR_SOME_READ_ONLY =	-143 ;
const DSERR_ALL_READ_ONLY =	-144 ;
const DSERR_SOME_NAMES_EXIST =	-145 ;
const DSERR_ALL_NAMES_EXIST =	-146 ;
const DSERR_NO_READ_PRIVILEGE =	-147 ;
const DSERR_NO_WRITE_PRIVILEGE =	-148 ;
const DSERR_FILE_DETACHED =	-149 ;
const DSERR_NO_ALLOC_SPACE =	-150 ;
const DSERR_TARGET_NOT_A_SUBDIR =	-150 ;
const DSERR_NO_SPOOL_SPACE =	-151 ;
const DSERR_INVALID_VOLUME =	-152 ;
const DSERR_DIRECTORY_FULL =	-153 ;
const DSERR_RENAME_ACROSS_VOLUME =	-154 ;
const DSERR_BAD_DIR_HANDLE =	-155 ;
const DSERR_INVALID_PATH =	-156 ;
const DSERR_NO_SUCH_EXTENSION =	-156 ;
const DSERR_NO_DIR_HANDLES =	-157 ;
const DSERR_BAD_FILE_NAME =	-158 ;
const DSERR_DIRECTORY_ACTIVE =	-159 ;
const DSERR_DIRECTORY_NOT_EMPTY =	-160 ;
const DSERR_DIRECTORY_IO_ERROR =	-161 ;
const DSERR_IO_LOCKED =	-162 ;
const DSERR_TRANSACTION_RESTARTED =	-163 ;
const DSERR_RENAME_DIR_INVALID =	-164 ;
const DSERR_INVALID_OPENCREATE_MODE =	-165 ;
const DSERR_ALREADY_IN_USE =	-166 ;
const DSERR_INVALID_RESOURCE_TAG =	-167 ;
const DSERR_ACCESS_DENIED =	-168 ;
const DSERR_INVALID_DATA_STREAM =	-190 ;
const DSERR_INVALID_NAME_SPACE =	-191 ;
const DSERR_NO_ACCOUNTING_PRIVILEGES =	-192 ;
const DSERR_NO_ACCOUNT_BALANCE =	-193 ;
const DSERR_CREDIT_LIMIT_EXCEEDED =	-194 ;
const DSERR_TOO_MANY_HOLDS =	-195 ;
const DSERR_ACCOUNTING_DISABLED =	-196 ;
const DSERR_LOGIN_LOCKOUT =	-197 ;
const DSERR_NO_CONSOLE_RIGHTS =	-198 ;
const DSERR_Q_IO_FAILURE =	-208 ;
const DSERR_NO_QUEUE =	-209 ;
const DSERR_NO_Q_SERVER =	-210 ;
const DSERR_NO_Q_RIGHTS =	-211 ;
const DSERR_Q_FULL =	-212 ;
const DSERR_NO_Q_JOB =	-213 ;
const DSERR_NO_Q_JOB_RIGHTS =	-214 ;
const DSERR_UNENCRYPTED_NOT_ALLOWED =	-214 ;
const DSERR_Q_IN_SERVICE =	-215 ;
const DSERR_DUPLICATE_PASSWORD =	-215 ;
const DSERR_Q_NOT_ACTIVE =	-216 ;
const DSERR_PASSWORD_TOO_SHORT =	-216 ;
const DSERR_Q_STN_NOT_SERVER =	-217 ;
const DSERR_MAXIMUM_LOGINS_EXCEEDED =	-217 ;
const DSERR_Q_HALTED =	-218 ;
const DSERR_BAD_LOGIN_TIME =	-218 ;
const DSERR_Q_MAX_SERVERS =	-219 ;
const DSERR_NODE_ADDRESS_VIOLATION =	-219 ;
const DSERR_LOG_ACCOUNT_EXPIRED =	-220 ;
const DSERR_BAD_PASSWORD =	-222 ;
const DSERR_PASSWORD_EXPIRED =	-223 ;
const DSERR_NO_LOGIN_CONN_AVAILABLE =	-224 ;
const DSERR_WRITE_TO_GROUP_PROPERTY =	-232 ;
const DSERR_MEMBER_ALREADY_EXISTS =	-233 ;
const DSERR_NO_SUCH_MEMBER =	-234 ;
const DSERR_PROPERTY_NOT_GROUP =	-235 ;
const DSERR_NO_SUCH_VALUE_SET =	-236 ;
const DSERR_PROPERTY_ALREADY_EXISTS =	-237 ;
const DSERR_OBJECT_ALREADY_EXISTS =	-238 ;
const DSERR_ILLEGAL_NAME =	-239 ;
const DSERR_ILLEGAL_WILDCARD =	-240 ;
const DSERR_BINDERY_SECURITY =	-241 ;
const DSERR_NO_OBJECT_READ_RIGHTS =	-242 ;
const DSERR_NO_OBJECT_RENAME_RIGHTS =	-243 ;
const DSERR_NO_OBJECT_DELETE_RIGHTS =	-244 ;
const DSERR_NO_OBJECT_CREATE_RIGHTS =	-245 ;
const DSERR_NO_PROPERTY_DELETE_RIGHTS =	-246 ;
const DSERR_NO_PROPERTY_CREATE_RIGHTS =	-247 ;
const DSERR_NO_PROPERTY_WRITE_RIGHTS =	-248 ;
const DSERR_NO_PROPERTY_READ_RIGHTS =	-249 ;
const DSERR_TEMP_REMAP =	-250 ;
const DSERR_UNKNOWN_REQUEST =	-251 ;
const DSERR_NO_SUCH_PROPERTY =	-251 ;
const DSERR_MESSAGE_QUEUE_FULL =	-252 ;
const DSERR_TARGET_ALREADY_HAS_MSG =	-252 ;
const DSERR_NO_SUCH_OBJECT =	-252 ;
const DSERR_BAD_STATION_NUMBER =	-253 ;
const DSERR_BINDERY_LOCKED =	-254 ;
const DSERR_DIR_LOCKED =	-254 ;
const DSERR_SPOOL_DELETE =	-254 ;
const DSERR_TRUSTEE_NOT_FOUND =	-254 ;
const DSERR_HARD_FAILURE =	-255 ;
const DSERR_FILE_NAME =	-255 ;
const DSERR_FILE_EXISTS =	-255 ;
const DSERR_CLOSE_FCB =	-255 ;
const DSERR_IO_BOUND =	-255 ;
const DSERR_NO_SPOOL_FILE =	-255 ;
const DSERR_BAD_SPOOL_PRINTER =	-255 ;
const DSERR_BAD_PARAMETER =	-255 ;
const DSERR_NO_FILES_FOUND =	-255 ;
const DSERR_NO_TRUSTEE_CHANGE_PRIV =	-255 ;
const DSERR_TARGET_NOT_LOGGED_IN =	-255 ;
const DSERR_TARGET_NOT_ACCEPTING_MSGS =	-255 ;
const DSERR_MUST_FORCE_DOWN =	-255 ;

{File NWDSFILT.H:}
const FTOK_END =	0;
const FTOK_OR =	1;
const FTOK_AND =	2;
const FTOK_NOT =	3;
const FTOK_LPAREN =	4;
const FTOK_RPAREN =	5;
const FTOK_AVAL =	6;
const FTOK_EQ =	7;
const FTOK_GE =	8;
const FTOK_LE =	9;
const FTOK_APPROX =	10;
const FTOK_ANAME =	14;
const FTOK_PRESENT =	15;
const FTOK_RDN =	16;
const FTOK_BASECLS =	17;
const FTOK_MODTIME =	18;
const FTOK_VALTIME =	19;
const FBIT_END =	$1;
const FBIT_OR =	$2;
const FBIT_AND =	$4;
const FBIT_NOT =	$8;
const FBIT_LPAREN =	$10;
const FBIT_RPAREN =	$20;
const FBIT_AVAL =	$40;
const FBIT_EQ =	$80;
const FBIT_GE =	$100;
const FBIT_LE =	$200;
const FBIT_APPROX =	$400;
const FBIT_ANAME =	$4000;
const FBIT_PRESENT =	$8000;
const FBIT_RDN =	$10000;
const FBIT_BASECLS =	$20000;
const FBIT_MODTIME =	$40000;
const FBIT_VALTIME =	$80000;
const FBIT_OPERAND =	(FBIT_LPAREN or FBIT_NOT or FBIT_PRESENT or
                       FBIT_RDN or FBIT_BASECLS or FBIT_ANAME or
                       FBIT_MODTIME or FBIT_VALTIME);
const FBIT_RELOP =	(FBIT_EQ or FBIT_GE or FBIT_LE or FBIT_APPROX);
const FBIT_BOOLOP =	(FBIT_AND or FBIT_OR);
const FTAG_ITEM =	0;
const FTAG_OR =	1;
const FTAG_AND =	2;
const FTAG_NOT =	3;

{File NWDSMISC.H:}
const DS_SYNTAX_NAMES =	0;
const DS_SYNTAX_DEFS =	1;
const DS_STRING =	$0001 ;
const DS_SINGLE_VALUED =	$0002;
const DS_SUPPORTS_ORDER =	$0004;
const DS_SUPPORTS_EQUAL =	$0008;
const DS_IGNORE_CASE =	$0010 ;
const DS_IGNORE_SPACE =	$0020 ;
const DS_IGNORE_DASH =	$0040 ;
const DS_ONLY_DIGITS =	$0080;
const DS_ONLY_PRINTABLE =	$0100;
const DS_SIZEABLE =	$0200;

{File NWDSNAME.H:}

{File NWDSNMTP.H:}
const C_AFP_SERVER =	'AFP Server';
const C_ALIAS =	'Alias';
const C_BINDERY_OBJECT =	'Bindery Object';
const C_BINDERY_QUEUE =	'Bindery Queue';
const C_COMPUTER =	'Computer';
const C_COUNTRY =	'Country';
const C_DEVICE =	'Device';
const C_DIRECTORY_MAP =	'Directory Map';
const C_EXTERNAL_ENTITY =	'External Entity';
const C_GROUP =	'Group';
const C_LIST =	'List';
const C_LOCALITY =	'Locality';
const C_MESSAGE_ROUTING_GROUP =	'Message Routing Group';
const C_MESSAGING_SERVER =	'Messaging Server';
const C_NCP_SERVER =	'NCP Server';
const C_ORGANIZATION =	'Organization';
const C_ORGANIZATIONAL_PERSON =	'Organizational Person';
const C_ORGANIZATIONAL_ROLE =	'Organizational Role';
const C_ORGANIZATIONAL_UNIT =	'Organizational Unit';
const C_PARTITION =	'Partition';
const C_PERSON =	'Person';
const C_PRINT_SERVER =	'Print Server';
const C_PRINTER =	'Printer';
const C_PROFILE =	'Profile';
const C_QUEUE =	'Queue';
const C_RESOURCE =	'Resource';
const C_SERVER =	'Server';
const C_TOP =	'Top';
const C_UNKNOWN =	'Unknown';
const C_USER =	'User';
const C_VOLUME =	'Volume';
const A_ACCOUNT_BALANCE =	'Account Balance';
const A_ACL =	'ACL';
const A_ALIASED_OBJECT_NAME =	'Aliased Object Name';
const A_ALLOW_UNLIMITED_CREDIT =	'Allow Unlimited Credit';
const A_AUTHORITY_REVOCATION =	'Authority Revocation';
const A_BACK_LINK =	'Back Link';
const A_BINDERY_OBJECT_RESTRICTION =	'Bindery Object Restriction';
const A_BINDERY_PROPERTY =	'Bindery Property';
const A_BINDERY_TYPE =	'Bindery Type';
const A_COUNTRY_NAME =	'C';
const A_CA_PRIVATE_KEY =	'CA Private Key';
const A_CA_PUBLIC_KEY =	'CA Public Key';
const A_CARTRIDGE =	'Cartridge';
const A_CERTIFICATE_REVOCATION =	'Certificate Revocation';
const A_CERTIFICATE_VALIDITY_INTERVAL =	'Certificate Validity Interval';
const A_COMMON_NAME =	'CN';
const A_CONVERGENCE =	'Convergence';
const A_CROSS_CERTIFICATE_PAIR =	'Cross Certificate Pair';
const A_DEFAULT_QUEUE =	'Default Queue';
const A_DESCRIPTION =	'Description';
const A_DETECT_INTRUDER =	'Detect Intruder';
const A_DEVICE =	'Device';
const A_DS_REVISION =	'DS Revision';
const A_EMAIL_ADDRESS =	'EMail Address';
const A_EXTERNAL_NAME =	'External Name';
const A_EXTERNAL_SYNCHRONIZER =	'External Synchronizer';
const A_FACSIMILE_TELEPHONE_NUMBER =	'Facsimile Telephone Number';
const A_FULL_NAME =	'Full Name';
const A_GENERATIONAL_QUALIFIER =	'Generational Qualifier';
const A_GID =	'GID';
const A_GIVEN_NAME =	'Given Name';
const A_GROUP_MEMBERSHIP =	'Group Membership';
const A_HIGH_SYNC_INTERVAL =	'High Convergence Sync Interval';
const A_HIGHER_PRIVILEGES =	'Higher Privileges';
const A_HOME_DIRECTORY =	'Home Directory';
const A_HOST_DEVICE =	'Host Device';
const A_HOST_RESOURCE_NAME =	'Host Resource Name';
const A_HOST_SERVER =	'Host Server';
const A_INHERITED_ACL =	'Inherited ACL';
const A_INITIALS =	'Initials';
const A_INTRUDER_ATTEMPT_RESET_INTRVL =	'Intruder Attempt Reset Interval';
const A_INTRUDER_LOCKOUT_RESET_INTRVL =	'Intruder Lockout Reset Interval';
const A_LOCALITY_NAME =	'L';
const A_LANGUAGE =	'Language';
const A_LAST_LOGIN_TIME =	'Last Login Time';
const A_LAST_REFERENCED_TIME =	'Last Referenced Time';
const A_LOCKED_BY_INTRUDER =	'Locked By Intruder';
const A_LOCKOUT_AFTER_DETECTION =	'Lockout After Detection';
const A_LOGIN_ALLOWED_TIME_MAP =	'Login Allowed Time Map';
const A_LOGIN_DISABLED =	'Login Disabled';
const A_LOGIN_EXPIRATION_TIME =	'Login Expiration Time';
const A_LOGIN_GRACE_LIMIT =	'Login Grace Limit';
const A_LOGIN_GRACE_REMAINING =	'Login Grace Remaining';
const A_LOGIN_INTRUDER_ADDRESS =	'Login Intruder Address';
const A_LOGIN_INTRUDER_ATTEMPTS =	'Login Intruder Attempts';
const A_LOGIN_INTRUDER_LIMIT =	'Login Intruder Limit';
const A_LOGIN_INTRUDER_RESET_TIME =	'Login Intruder Reset Time';
const A_LOGIN_MAXIMUM_SIMULTANEOUS =	'Login Maximum Simultaneous';
const A_LOGIN_SCRIPT =	'Login Script';
const A_LOGIN_TIME =	'Login Time';
const A_LOW_RESET_TIME =	'Low Convergence Reset Time';
const A_LOW_SYNC_INTERVAL =	'Low Convergence Sync Interval';
const A_MAILBOX_ID =	'Mailbox ID';
const A_MAILBOX_LOCATION =	'Mailbox Location';
const A_MEMBER =	'Member';
const A_MEMORY =	'Memory';
const A_MESSAGE_SERVER =	'Message Server';
const A_MESSAGE_ROUTING_GROUP =	'Message Routing Group';
const A_MESSAGING_DATABASE_LOCATION =	'Messaging Database Location';
const A_MESSAGING_SERVER =	'Messaging Server';
const A_MESSAGING_SERVER_TYPE =	'Messaging Server Type';
const A_MINIMUM_ACCOUNT_BALANCE =	'Minimum Account Balance';
const A_NETWORK_ADDRESS =	'Network Address';
const A_NETWORK_ADDRESS_RESTRICTION =	'Network Address Restriction';
const A_NNS_DOMAIN =	'NNS Domain';
const A_NOTIFY =	'Notify';
const A_ORGANIZATION_NAME =	'O';
const A_OBITUARY =	'Obituary';
const A_OBJECT_CLASS =	'Object Class';
const A_OPERATOR =	'Operator';
const A_ORGANIZATIONAL_UNIT_NAME =	'OU';
const A_OWNER =	'Owner';
const A_PAGE_DESCRIPTION_LANGUAGE =	'Page Description Language';
const A_PARTITION_CONTROL =	'Partition Control';
const A_PARTITION_CREATION_TIME =	'Partition Creation Time';
const A_PASSWORD_ALLOW_CHANGE =	'Password Allow Change';
const A_PASSWORD_EXPIRATION_INTERVAL =	'Password Expiration Interval';
const A_PASSWORD_EXPIRATION_TIME =	'Password Expiration Time';
const A_PASSWORD_MINIMUM_LENGTH =	'Password Minimum Length';
const A_PASSWORD_REQUIRED =	'Password Required';
const A_PASSWORD_UNIQUE_REQUIRED =	'Password Unique Required';
const A_PASSWORDS_USED =	'Passwords Used';
const A_PATH =	'Path';
const A_PHYSICAL_DELIVERY_OFFICE_NAME =	'Physical Delivery Office Name';
const A_POSTAL_ADDRESS =	'Postal Address';
const A_POSTAL_CODE =	'Postal Code';
const A_POSTAL_OFFICE_BOX =	'Postal Office Box';
const A_POSTMASTER =	'Postmaster';
const A_PRINT_SERVER =	'Print Server';
const A_PRINT_JOB_CONFIGURATION =	'Print Job Configuration';
const A_PRINTER =	'Printer';
const A_PRINTER_CONFIGURATION =	'Printer Configuration';
const A_PRINTER_CONTROL =	'Printer Control';
const A_PRIVATE_KEY =	'Private Key';
const A_PROFILE =	'Profile';
const A_PROFILE_MEMBERSHIP =	'Profile Membership';
const A_PUBLIC_KEY =	'Public Key';
const A_QUEUE =	'Queue';
const A_QUEUE_DIRECTORY =	'Queue Directory';
const A_RECEIVED_UP_TO =	'Received Up To';
const A_REFERENCE =	'Reference';
const A_REPLICA =	'Replica';
const A_RESOURCE =	'Resource';
const A_REVISION =	'Revision';
const A_ROLE_OCCUPANT =	'Role Occupant';
const A_STATE_OR_PROVINCE_NAME =	'S';
const A_STREET_ADDRESS =	'SA';
const A_SAP_NAME =	'SAP Name';
const A_SECURITY_EQUALS =	'Security Equals';
const A_SECURITY_FLAGS =	'Security Flags';
const A_SEE_ALSO =	'See Also';
const A_SERIAL_NUMBER =	'Serial Number';
const A_SERVER =	'Server';
const A_SERVER_HOLDS =	'Server Holds';
const A_STATUS =	'Status';
const A_SUPPORTED_CONNECTIONS =	'Supported Connections';
const A_SUPPORTED_GATEWAY =	'Supported Gateway';
const A_SUPPORTED_SERVICES =	'Supported Services';
const A_SUPPORTED_TYPEFACES =	'Supported Typefaces';
const A_SURNAME =	'Surname';
const A_IN_SYNC_UP_TO =	'Synchronized Up To';
const A_TELEPHONE_NUMBER =	'Telephone Number';
const A_TITLE =	'Title';
const A_TYPE_CREATOR_MAP =	'Type Creator Map';
const A_UID =	'UID';
const A_UNKNOWN =	'Unknown';
const A_UNKNOWN_BASE_CLASS =	'Unknown Base Class';
const A_USER =	'User';
const A_VERSION =	'Version';
const A_VOLUME =	'Volume';

{File NWDSPART.H:}

{File NWDSSCH.H:}

{File NWDSTYPE.H:}

{File NWEA.H:}
const EA_EOF =	1;
const EA_DONE =	1;
const EA_READWRITE =	0;
const EA_CREATE =	1;
const MISSING_EA_KEY =	200 ;
const EA_NOT_FOUND =	201 ;
const INVALID_EA_HANDLE_TYPE =	202 ;
const EA_NO_KEY_NO_DATA =	203 ;
const EA_NUMBER_MISMATCH =	204 ;
const EXTENT_NUMBER_OUT_OF_RANGE =	205 ;
const EA_BAD_DIR_NUM =	206 ;
const INVALID_EA_HANDLE =	207 ;
const EA_POSITION_OUT_OF_RANGE =	208 ;
const EA_ACCESS_DENIED =	209 ;
const DATA_PAGE_ODD_SIZE =	210 ;
const EA_VOLUME_NOT_MOUNTED =	211 ;
const BAD_PAGE_BOUNDARY =	212 ;
const INSPECT_FAILURE =	213 ;
const EA_ALREADY_CLAIMED =	214 ;
const ODD_BUFFER_SIZE =	215 ;
const NO_SCORECARDS =	216 ;
const BAD_EDS_SIGNATURE =	217 ;
const EA_SPACE_LIMIT =	218 ;
const EA_KEY_CORRUPT =	219 ;
const EA_KEY_LIMIT =	220 ;
const TALLY_CORRUPT =	221 ;

{File NWERROR.H:}
const SHELL_ERROR =	$8800;
const VLM_ERROR =	$8800;
const ALREADY_ATTACHED =	$8800 ;
const INVALID_CONNECTION =	$8801 ;
const DRIVE_IN_USE =	$8802 ;
const CANT_ADD_CDS =	$8803 ;
const BAD_DRIVE_BASE =	$8804 ;
const NET_READ_ERROR =	$8805 ;
const NET_RECV_ERROR =	$8805 ;
const UNKNOWN_NET_ERROR =	$8806 ;
const SERVER_INVALID_SLOT =	$8807 ;
const BAD_SERVER_SLOT =	$8807 ;
const NO_SERVER_SLOTS =	$8808 ;
const NET_WRITE_ERROR =	$8809 ;
const NET_SEND_ERROR =	$8809 ;
const SERVER_NO_ROUTE =	$880A ;
const BAD_LOCAL_TARGET =	$880B ;
const TOO_MANY_REQ_FRAGS =	$880C ;
const CONNECT_LIST_OVERFLOW =	$880D ;
const BUFFER_OVERFLOW =	$880E ;
const NO_CONN_TO_SERVER =	$880F ;
const NO_CONNECTION_TO_SERVER =	$880F ;
const NO_ROUTER_FOUND =	$8810 ;
const BAD_FUNC_ERROR =	$8811 ;
const INVALID_SHELL_CALL =	$8811 ;
const NOT_SAME_CONNECTION =	$8830 ;
const PRIMARY_CONNECTION_NOT_SET =	$8831 ;
const NO_PRIMARY_SET =	$8831 ;
const NO_CAPTURE_SET =	$8832 ;
const NO_CAPTURE_IN_PROGRESS =	$8832 ;
const BAD_BUFFER_LENGTH =	$8833 ;
const INVALID_BUFFER_LENGTH =	$8833 ;
const NO_USER_NAME =	$8834 ;
const NO_NETWARE_PRINT_SPOOLER =	$8835 ;
const INVALID_PARAMETER =	$8836 ;
const CONFIG_FILE_OPEN_FAILED =	$8837 ;
const NO_CONFIG_FILE =	$8838 ;
const CONFIG_FILE_READ_FAILED =	$8839 ;
const CONFIG_LINE_TOO_LONG =	$883A ;
const CONFIG_LINES_IGNORED =	$883B ;
const NOT_MY_RESOURCE =	$883C ;
const DAEMON_INSTALLED =	$883D ;
const SPOOLER_INSTALLED =	$883E ;
const CONN_TABLE_FULL =	$883F ;
const CONNECTION_TABLE_FULL =	$883F ;
const CONFIG_SECTION_NOT_FOUND =	$8840 ;
const BAD_TRAN_TYPE =	$8841 ;
const INVALID_TRANSPORT_TYPE =	$8841 ;
const TDS_TAG_IN_USE =	$8842 ;
const TDS_OUT_OF_MEMORY =	$8843 ;
const TDS_INVALID_TAG =	$8844 ;
const TDS_WRITE_TRUNCATED =	$8845 ;
const NO_DIRECTORY_SERVICE_CONNECTION =	$8846 ;
const SERVICE_BUSY =	$8846 ;
const NO_SERVER_ERROR =	$8847 ;
const BAD_VLM_ERROR =	$8848 ;
const NETWORK_DRIVE_IN_USE =	$8849 ;
const LOCAL_DRIVE_IN_USE =	$884A ;
const NO_DRIVES_AVAILABLE =	$884B ;
const DEVICE_NOT_REDIRECTED =	$884C ;
const NO_MORE_SFT_ENTRIES =	$884D ;
const UNLOAD_ERROR =	$884E ;
const IN_USE_ERROR =	$884F ;
const TOO_MANY_REP_FRAGS =	$8850 ;
const TABLE_FULL =	$8851 ;
const SOCKET_NOT_OPEN =	$8852 ;
const MEM_MGR_ERROR =	$8853 ;
const SFT3_ERROR =	$8854 ;
const PREFERRED_NOT_FOUND =	$8855 ;
const DEVICE_NOT_RECOGNIZED =	$8856 ;
const BAD_NET_TYPE =	$8857 ;
const ERROR_OPENING_FILE =	$8858 ;
const NO_PREFERRED_SPECIFIED =	$8859 ;
const ERROR_OPENING_SOCKET =	$885A ;
const SHELL_FAILURE =	$88FF;
const VLM_FAILURE =	$88FF;
const ERR_INSUFFICIENT_SPACE =	$8901 ;
const ERR_BUFFER_TOO_SMALL =	$8977 ;
const ERR_VOLUME_FLAG_NOT_SET =	$8978 ;
const ERR_NO_ITEMS_FOUND =	$8979 ;
const ERR_CONN_ALREADY_TEMP =	$897a ;
const ERR_CONN_ALREADY_LOGGED_IN =	$897b ;
const ERR_CONN_NOT_AUTHENTICATED =	$897c ;
const ERR_CONN_NOT_LOGGED_IN =	$897d ;
const NCP_BOUNDARY_CHECK_FAILED =	$897e ;
const ERR_LOCK_WAITING =	$897f ;
const ERR_LOCK_FAIL =	$8980 ;
const FILE_IN_USE_ERROR =	$8980 ;
const NO_MORE_FILE_HANDLES =	$8981 ;
const NO_OPEN_PRIVILEGES =	$8982 ;
const IO_ERROR_NETWORK_DISK =	$8983 ;
const NO_CREATE_PRIVILEGES =	$8984 ;
const NO_CREATE_DELETE_PRIVILEGES =	$8985 ;
const CREATE_FILE_EXISTS_READ_ONLY =	$8986 ;
const WILD_CARDS_IN_CREATE_FILE_NAME =	$8987 ;
const INVALID_FILE_HANDLE =	$8988 ;
const NO_SEARCH_PRIVILEGES =	$8989 ;
const NO_DELETE_PRIVILEGES =	$898A ;
const NO_RENAME_PRIVILEGES =	$898B ;
const NO_MODIFY_PRIVILEGES =	$898C ;
const SOME_FILES_AFFECTED_IN_USE =	$898D ;
const NO_FILES_AFFECTED_IN_USE =	$898E ;
const SOME_FILES_AFFECTED_READ_ONLY =	$898F ;
const NO_FILES_AFFECTED_READ_ONLY =	$8990 ;
const SOME_FILES_RENAMED_NAME_EXISTS =	$8991 ;
const NO_FILES_RENAMED_NAME_EXISTS =	$8992 ;
const NO_READ_PRIVILEGES =	$8993 ;
const NO_WRITE_PRIVILEGES_OR_READONLY =	$8994 ;
const FILE_DETACHED =	$8995 ;
const SERVER_OUT_OF_MEMORY =	$8996 ;
const ERR_TARGET_NOT_A_SUBDIRECTORY =	$8986 ;
const NO_DISK_SPACE_FOR_SPOOL_FILE =	$8997 ;
const VOLUME_DOES_NOT_EXIST =	$8998 ;
const DIRECTORY_FULL =	$8999 ;
const RENAMING_ACROSS_VOLUMES =	$899A ;
const BAD_DIRECTORY_HANDLE =	$899B ;
const INVALID_PATH =	$899C ;
const NO_MORE_TRUSTEES =	$899C ;
const NO_MORE_DIRECTORY_HANDLES =	$899D ;
const INVALID_FILENAME =	$899E ;
const DIRECTORY_ACTIVE =	$899F ;
const DIRECTORY_NOT_EMPTY =	$89A0 ;
const DIRECTORY_IO_ERROR =	$89A1 ;
const READ_FILE_WITH_RECORD_LOCKED =	$89A2 ;
const ERR_TRANSACTION_RESTARTED =	$89A3 ;
const ERR_RENAME_DIR_INVALID =	$89A4 ;
const ERR_INVALID_OPENCREATE_MODE =	$89A5 ;
const ERR_ALREADY_IN_USE =	$89A6 ;
const ERR_INVALID_RESOURCE_TAG =	$89A7 ;
const ERR_ACCESS_DENIED =	$89A8 ;
const INVALID_DATA_STREAM =	$89BE ;
const INVALID_NAME_SPACE =	$89BF ;
const NO_ACCOUNTING_PRIVILEGES =	$89C0 ;
const LOGIN_DENIED_NO_ACCOUNT_BALANCE =	$89C1 ;
const LOGIN_DENIED_NO_CREDIT =	$89C2 ;
const ERR_TOO_MANY_HOLDS =	$89C3 ;
const ACCOUNTING_DISABLED =	$89C4 ;
const INTRUDER_DETECTION_LOCK =	$89C5 ;
const NO_CONSOLE_OPERATOR =	$89C6 ;
const NO_CONSOLE_PRIVILEGES =	$89C6 ;
const ERR_Q_IO_FAILURE =	$89D0 ;
const ERR_NO_QUEUE =	$89D1 ;
const ERR_NO_Q_SERVER =	$89D2 ;
const ERR_NO_Q_RIGHTS =	$89D3 ;
const ERR_Q_FULL =	$89D4 ;
const ERR_NO_Q_JOB =	$89D5 ;
const ERR_NO_Q_JOB_RIGHTS =	$89D6 ;
const ERR_Q_IN_SERVICE =	$89D7 ;
const PASSWORD_NOT_UNIQUE =	$89D7 ;
const ERR_Q_NOT_ACTIVE =	$89D8 ;
const PASSWORD_TOO_SHORT =	$89D8 ;
const ERR_Q_STN_NOT_SERVER =	$89D9 ;
const LOGIN_DENIED_NO_CONNECTION =	$89D9 ;
const ERR_MAXIMUM_LOGINS_EXCEEDED =	$89D9 ;
const ERR_Q_HALTED =	$89DA ;
const UNAUTHORIZED_LOGIN_TIME =	$89DA ;
const UNAUTHORIZED_LOGIN_STATION =	$89DB ;
const ERR_Q_MAX_SERVERS =	$89DB ;
const ACCOUNT_DISABLED =	$89DC ;
const PASSWORD_HAS_EXPIRED_NO_GRACE =	$89DE ;
const PASSWORD_HAS_EXPIRED =	$89DF ;
const E_NO_MORE_USERS =	$89E7 ;
const NOT_ITEM_PROPERTY =	$89E8 ;
const WRITE_PROPERTY_TO_GROUP =	$89E8 ;
const MEMBER_ALREADY_EXISTS =	$89E9 ;
const NO_SUCH_MEMBER =	$89EA ;
const NOT_GROUP_PROPERTY =	$89EB ;
const NO_SUCH_SEGMENT =	$89EC ;
const PROPERTY_ALREADY_EXISTS =	$89ED ;
const OBJECT_ALREADY_EXISTS =	$89EE ;
const INVALID_NAME =	$89EF ;
const WILD_CARD_NOT_ALLOWED =	$89F0 ;
const INVALID_BINDERY_SECURITY =	$89F1 ;
const NO_OBJECT_READ_PRIVILEGE =	$89F2 ;
const NO_OBJECT_RENAME_PRIVILEGE =	$89F3 ;
const NO_OBJECT_DELETE_PRIVILEGE =	$89F4 ;
const NO_OBJECT_CREATE_PRIVILEGE =	$89F5 ;
const NO_PROPERTY_DELETE_PRIVILEGE =	$89F6 ;
const NO_PROPERTY_CREATE_PRIVILEGE =	$89F7 ;
const NO_PROPERTY_WRITE_PRIVILEGE =	$89F8 ;
const NO_FREE_CONNECTION_SLOTS =	$89F9 ;
const NO_PROPERTY_READ_PRIVILEGE =	$89F9 ;
const NO_MORE_SERVER_SLOTS =	$89FA ;
const TEMP_REMAP_ERROR =	$89FA ;
const INVALID_PARAMETERS =	$89FB ;
const NO_SUCH_PROPERTY =	$89FB ;
const ERR_NCP_NOT_SUPPORTED =	$89FB ;
const INTERNET_PACKET_REQT_CANCELED =	$89FC ;
const UNKNOWN_FILE_SERVER =	$89FC ;
const MESSAGE_QUEUE_FULL =	$89FC ;
const NO_SUCH_OBJECT =	$89FC ;
const LOCK_COLLISION =	$89FD ;
const BAD_STATION_NUMBER =	$89FD ;
const INVALID_PACKET_LENGTH =	$89FD ;
const UNKNOWN_REQUEST =	$89FD ;
const BINDERY_LOCKED =	$89FE ;
const TRUSTEE_NOT_FOUND =	$89FE ;
const DIRECTORY_LOCKED =	$89FE ;
const INVALID_SEMAPHORE_NAME_LENGTH =	$89FE ;
const PACKET_NOT_DELIVERABLE =	$89FE ;
const SERVER_BINDERY_LOCKED =	$89FE ;
const SOCKET_TABLE_FULL =	$89FE ;
const SPOOL_DIRECTORY_ERROR =	$89FE ;
const SUPERVISOR_HAS_DISABLED_LOGIN =	$89FE ;
const TIMEOUT_FAILURE =	$89FE ;
const BAD_PRINTER_ERROR =	$89FF ;
const BAD_RECORD_OFFSET =	$89FF ;
const CLOSE_FCB_ERROR =	$89FF ;
const FILE_EXTENSION_ERROR =	$89FF ;
const FILE_NAME_ERROR =	$89FF ;
const HARDWARE_FAILURE =	$89FF ;
const INVALID_DRIVE_NUMBER =	$89FF ;
const DOS_INVALID_DRIVE =	$000F ;
const INVALID_INITIAL_SEMAPHORE_VALUE =	$89FF ;
const INVALID_SEMAPHORE_HANDLE =	$89FF ;
const IO_BOUND_ERROR =	$89FF ;
const NO_FILES_FOUND_ERROR =	$89FF ;
const NO_RESPONSE_FROM_SERVER =	$89FF ;
const NO_SUCH_OBJECT_OR_BAD_PASSWORD =	$89FF ;
const PATH_NOT_LOCATABLE =	$89FF ;
const QUEUE_FULL_ERROR =	$89FF ;
const REQUEST_NOT_OUTSTANDING =	$89FF ;
const SOCKET_ALREADY_OPEN =	$89FF ;
const LOCK_ERROR =	$89FF ;

{File NWFILE.H:}

{File NWFSE.H:}
const FSE_LOGGED_IN =	$00000001;
const FSE_BEING_ABORTED =	$00000002;
const FSE_AUDITED =	$00000004;
const FSE_NEEDS_SECURITY_CHANGE =	$00000008;
const FSE_MAC_STATION =	$00000010;
const FSE_AUTHENTICATED_TEMPORARY =	$00000020;
const FSE_AUDIT_CONNECTION_RECORDED =	$00000040;
const FSE_DSAUDIT_CONNECTION_RECORDED =	$00000080;
const FSE_WRITE =	1;
const FSE_WRITE_ABORTED =	2;
const FSE_NOT_WRITING =	0;
const FSE_WRITE_IN_PROGRESS =	1;
const FSE_WRITE_BEING_STOPPED =	2;
const FSE_CPU_STR_MAX =	16;
const FSE_COPROCESSOR_STR_MAX =	48;
const FSE_BUS_STR_MAX =	32;
const FSE_NLM_NUMS_RETURNED_MAX =	128;
const FSE_NLM_FILENAME_LEN_MAX =	37;
const FSE_NLM_NAMELEN_MAX =	129;
const FSE_NLM_COPYRIGHTLEN_MAX =	256;
const FSE_NCP_CONNECTION_TYPE =	2;
const FSE_NLM_CONNECTION_TYPE =	3;
const FSE_AFP_CONNECTION_TYPE =	4;
const FSE_FTAM_CONNECTION_TYPE =	5;
const FSE_ANCP_CONNECTION_TYPE =	6;
const FSE_MAX_NUM_OF_LANS =	64;
const FSE_ADAPTER_OBJECT =	0;
const FSE_CHANGER_OBJECT =	1;
const FSE_DEVICE_OBJECT =	2;
const FSE_MEDIA_OBJECT =	4;
const FSE_PARTITION_OBJECT =	5;
const FSE_SLOT_OBJECT =	6;
const FSE_HOTFIX_OBJECT =	7;
const FSE_MIRROR_OBJECT =	8;
const FSE_PARITY_OBJECT =	9;
const FSE_VOLUME_SEG_OBJECT =	10;
const FSE_VOLUME_OBJECT =	11;
const FSE_CLONE_OBJECT =	12;
const FSE_MAGAZINE_OBJECT =	14;
const FSE_VIRTUAL_DEVICE_OBJECT =	15;
const FSE_UNKNOWN_OBJECT =	$FFFF;
const FSE_HARD_DISK =	0;
const FSE_CDROM_DISK =	1;
const FSE_WORM_DISK =	2;
const FSE_TAPE_DEVICE =	3;
const FSE_MAGNETO_OPTICAL =	4;
const FSE_FIXED_MEDIA =	$00000000;
const FSE_FLOPPY_5_25 =	$00000001;
const FSE_FLOPPY_3_5 =	$00000002;
const FSE_OPTICAL_5_25 =	$00000003;
const FSE_OPTICAL_3_5 =	$00000004;
const FSE_TAPE_0_5 =	$00000005;
const FSE_TAPE_0_25 =	$00000006;
const FSE_TAPE_8_MM =	$00000007;
const FSE_TAPE_4_MM =	$00000008;
const FSE_BERNOULLI_DISK =	$00000009;
const FSE_OBJECT_ACTIVATED =	$00000001;
const FSE_OBJECT_CREATED =	$00000002;
const FSE_OBJECT_SCRAMBLED =	$00000004;
const FSE_OBJECT_RESERVED =	$00000010;
const FSE_OBJECT_BEING_IDENTIFIED =	$00000020;
const FSE_OBJECT_MAGAZINE_LOADED =	$00000040;
const FSE_OBJECT_FAILURE =	$00000080;
const FSE_OBJECT_REMOVABLE =	$00000100;
const FSE_OBJECT_READ_ONLY =	$00000200;
const FSE_OBJECT_IN_DEVICE =	$00010000;
const FSE_OBJECT_ACCEPTS_MAGAZINES =	$00020000;
const FSE_OBJECT_IS_IN_A_CHANGER =	$00040000;
const FSE_OBJECT_LOADABLE =	$00080000;
const FSE_OBJECT_BEING_LOADED =	$00080000;
const FSE_OBJECT_DEVICE_LOCK =	$01000000;
const FSE_OBJECT_CHANGER_LOCK =	$02000000;
const FSE_OBJECT_REMIRRORING =	$04000000;
const FSE_OBJECT_SELECTED =	$08000000;
const FSE_RANDOM_READ =	$0001;
const FSE_RANDOM_WRITE =	$0002;
const FSE_RANDOM_WRITE_ONCE =	$0004;
const FSE_SEQUENTIAL_READ =	$0008;
const FSE_SEQUENTIAL_WRITE =	$0010;
const FSE_RESET_END_OF_TAPE =	$0020;
const FSE_SINGLE_FILE_MARK =	$0040;
const FSE_MULTIPLE_FILE_MARK =	$0080;
const FSE_SINGLE_SET_MARK =	$0100;
const FSE_MULTIPLE_SET_MARK =	$0200;
const FSE_SPACE_DATA_BLOCKS =	$0400;
const FSE_LOCATE_DATA_BLOCKS =	$0800;
const FSE_POSITION_PARTITION =	$1000;
const FSE_POSITION_MEDIA =	$2000;
const FSE_ACTIVATE_DEACTIVE =	$0001;
const FSE_MOUNT_DISMOUNT =	$0002;
const FSE_SELECT_UNSELECT =	$0004;
const FSE_LOCK_UNLOCK =	$0008;
const FSE_EJECT =	$0010;
const FSE_MOVE =	$0020;
const FSE_MAX_OBJECTS =	128;
{const FSE_ADAPTER_OBJECT =	0;
const FSE_CHANGER_OBJECT =	1;
const FSE_DEVICE_OBJECT =	2;
const FSE_MEDIA_OBJECT =	4;
const FSE_PARTITION_OBJECT =	5;
const FSE_SLOT_OBJECT =	6;
const FSE_HOTFIX_OBJECT =	7;
const FSE_MIRROR_OBJECT =	8;
const FSE_PARITY_OBJECT =	9;
const FSE_VOLUME_SEG_OBJECT =	10;
const FSE_VOLUME_OBJECT =	11;
const FSE_CLONE_OBJECT =	12;
const FSE_MAGAZINE_OBJECT =	14;
const FSE_VIRTUAL_DEVICE_OBJECT =	15;}
const FSE_UNKNOWN_OBJECT_TYPE =	$FFFF;
const FSE_MAX_NUM_SEGS_RETURNED =	43;
const FSE_MAX_NUM_OF_STACKINFO =	25;
const FSE_STK_FULL_NAME_STR_LEN_MAX =	256;
const FSE_STACK_IDS_MAX =	128;
const FSE_NO_FRAME_ID_MAC =	0;
const FSE_APPLE_LOCALTALK =	1;
const FSE_ETHERNETII_DEC =	2;
const FSE_ETHERNET_802_3_USING_802_2 =	3;
const FSE_TRING_802_5_USING_802_2 =	4;
const FSE_IPX_802_3 =	5;
const FSE_TOKEN_PASSING_BUS =	6;
const FSE_IBM_PC_NETWORK_II =	7;
const FSE_GATEWAY_GNET =	8;
const FSE_PROTEON_PRONET =	9;
const FSE_ENET_802_3_USING_802_2_SNAP =	10;
const FSE_TRING_802_5_USE_802_2_SNAP =	11;
const FSE_RACORE_FRAME =	12;
const FSE_ISDN_FRAME =	13;
const FSE_NOVELL_ARCNET =	14;
const FSE_IBM_PCN2_USING_802_2 =	15;
const FSE_IBM_PCN2_USING_802_2_SNAP =	16;
const FSE_CORVUS_FRAME =	17;
const FSE_HARRIS_ADACOM_FRAME =	18;
const FSE_IP_TUNNEL_FRAME =	19;
const FSE_FDDI_USING_802_2 =	20;
const FSE_COMMTEX_FRAME =	21;
const FSE_DATACO_FRAME =	22;
const FSE_FDDI_USING_802_2_SMAP =	23;
const FSE_SDLC_TUNNEL =	24;
const FSE_PC_OFFICE_FRAME =	25;
const FSE_HYPERCOMMUNICATIONS =	26;
const FSE_NOVELL_FRAME =	27;
const FSE_MEDIA_NAME_LEN_MAX =	81;
const FSE_MEDIA_LIST_MAX =	32;
const FSE_LOCALBIT =	$01;
const FSE_NETSTARBIT =	$02;
const FSE_NETRELIABLEBIT =	$04;
const FSE_NETWANBIT =	$10;
const FSE_TYPE_NUMBER =	0;
const FSE_TYPE_BOOLEAN =	1;
const FSE_TYPE_TICKS =	2;
const FSE_TYPE_BLOCK_SHIFT =	3 ;
const FSE_TYPE_TIME_OFFSET =	4 ;
const FSE_TYPE_STRING =	5;
const FSE_TYPE_TRIGGER =	6 ;
const FSE_TYPE_TRIGGER_OFF =	$00;
const FSE_TYPE_TRIGGER_ON =	$01;
const FSE_TYPE_TRIGGER_PENDING =	$10;
const FSE_TYPE_TRIGGER_SUCCESS =	$20;
const FSE_TYPE_TRIGGER_FAILED =	$30;
const FSE_STARTUP_ONLY =	$01;
const FSE_HIDE =	$02;
const FSE_ADVANCED =	$04;
const FSE_STARTUP_OR_LATER =	$08;
const FSE_NOT_SECURED_CONSOLE =	$10 ;
const FSE_COMMUNICATIONS =	0;
const FSE_MEMORY =	1;
const FSE_FILE_CACHE =	2;
const FSE_DIR_CACHE =	3;
const FSE_FILE_SYSTEM =	4;
const FSE_LOCKS =	5;
const FSE_TRANSACTION_TRACKING =	6;
const FSE_DISK =	7;
const FSE_TIME =	8;
const FSE_NCP =	9;
const FSE_MISCELLANEOUS =	10;
const FSE_ERRORS =	11;

implementation

end.
